import Copyright.Copyright;
import java.io.Serializable;

/**
 * A class representing 2D float points. I didn't use the class Point2D.Float
 * supplied as part of core java as it is not serializable. 
 * @author Ziv Yaniv (zivy@isis.georgetown.edu)
 */
public class Point2D implements Serializable {
    public float x;
    public float y;

    public Point2D(float x, float y) { 
    this.x = x;
    this.y = y;
    }
    public Point2D() { 
    this.x = 0;
    this.y = 0;
    }
    public Point2D(Point2D other) {
    this.x = other.x;
    this.y = other.y;
    }
    public void setLocation(float x, float y) {
    this.x = x;
    this.y = y;
    }
    public String toString() {
    return("Point2D["+x+","+y+"]");
    }
}
